package com.miqporta.cloc.clocWS.hello;

import java.util.Date;
import java.util.List;

import com.miqporta.cloc.clocWS.DAO.EscenaDAO;
import com.miqporta.cloc.clocWS.DAO.PeliculaDAO;
import com.miqporta.cloc.clocWS.model.Escena;
import com.miqporta.cloc.clocWS.model.Pelicula;

public class MainEscenaExample {

	public static void main(String[] args) {
		
		System.out.println("@@@@@@@@ Maven + Hibernate + Mysql @@@@@@@@");
		
		EscenaDAO escenaDAO = new EscenaDAO();
		PeliculaDAO peliculaDAO = new PeliculaDAO();
		Escena escena = new Escena();
		
		////////////////////////////////////////////////////////////////////////////////////////////////
		/*
		System.out.println("@@@@@@@@ EscenaDAO example addEscena @@@@@@@@");
		escena.setDataAlta(new Date());
		escena.setDescripcion("Tomas se va de copas");
		escena.setLatitud(51.254416);
		escena.setLongitud(131.254416);
		escena.setPelicula(peliculaDAO.findById(31));
		escena.setCaptura("453dfsBFDF3CS");
		
		escenaDAO.addEscena(escena);
		*/
		
		/////////////////////////////////////////////////////////////////////////////////////////////////
		/*
		System.out.println("@@@@@@@@ EscenaDAO findByID example @@@@@@@@");
		escena = escenaDAO.findbyId(4);
		System.out.println("######### Escena2:\n "
				+ "TituloVO: "+escena.getPelicula().getTituloVO()+ "\n "
				+ "DescripcioEscena: " +escena.getDescripcion()+ "\n "
				+ "Coordenadas: ("+escena.getLatitud()+","+escena.getLongitud()+")");		
		escena = escenaDAO.findbyId(100);
		if(escena.getDescripcion() != null){
			System.out.println("######### Escena2:\n "
					+ "TituloVO: "+escena.getPelicula().getTituloVO()+ "\n "
					+ "DescripcioEscena: " +escena.getDescripcion()+ "\n "
					+ "Coordenadas: ("+escena.getLatitud()+","+escena.getLongitud()+")");
		}
		*/	
		/////////////////////////////////////////////////////////////////////////////////////////////////
		System.out.println("@@@@@@@@ EscenaDAO findEscenasByPelilucaId example @@@@@@@@");		
		List<Escena> escenaList = escenaDAO.findEscenasByPeliculaId(31);
		
		for(Escena escenaByPelicula : escenaList ){
			 
			System.out.println("######### Escena "+escenaByPelicula.getEscenaId()+":\n "
					+ "TituloVO: "+escenaByPelicula.getPelicula().getTituloVO()+ "\n "
					+ "DescripcioEscena: " +escenaByPelicula.getDescripcion()+ "\n "
					+ "Coordenadas: ("+escenaByPelicula.getLatitud()+","+escena.getLongitud()+")");
	
		}
		
		/////////////////////////////////////////////////////////////////////////////////////////////////
	
		/////////////////////////////////////////////////////////////////////////////////////////////////
		/*
		Pelicula pelicula0 = 
				new Pelicula(new Date(), null, "1985", "Indiana Jones and the last coursade", 
										"Indiana Jones y la utima cursada", "Steven Spielberg");
		Escena escena01 = new Escena(pelicula0, new Date(), null, "Indiana hacia el templo", 
											43.12254, 42.145, "adasdasda234512");
		Escena escena02 = new Escena(pelicula0, new Date(), null, "Padre Jones contra los patos", 
				44.1567254, 45.14245, "342A234DF512");
		
		peliculaDAO.addPelicula(pelicula0);
		escenaDAO.addEscena(escena01);
		escenaDAO.addEscena(escena02);

		Pelicula pelicula1 = 
				new Pelicula(new Date(), null, "1988", "Juan to the mount", 
										"Juan va al monte", "Rod Dood");
		Escena escena11 = new Escena(pelicula1, new Date(), null, "Juan se baja del monte", 
				54.1567254, 55.14245, "NFAS43536SFEWD");
		Escena escena12 = new Escena(pelicula1, new Date(), null, "Juan se baja del monte", 
				51.1567254, 54.14245, "3RTSD43536SFEWD");
		Escena escena13 = new Escena(pelicula1, new Date(), null, "Juan se baja del monte", 
				53.1567254, 56.14245, "GRAWS25AS6SFEWD");

		peliculaDAO.addPelicula(pelicula1);
		escenaDAO.addEscena(escena11);
		escenaDAO.addEscena(escena12);
		escenaDAO.addEscena(escena13);
		
		Pelicula pelicula2 = 
				new Pelicula(new Date(), null, "1990", "Jesus", 
										"Jesus", "Joan Gomez");
		Escena escena21 = new Escena(pelicula2, new Date(), null, "Jesus salta la valla", 
				55.1567254, 65.15245, "NFASDFd36SFEWD");
		Escena escena22 = new Escena(pelicula2, new Date(), null, "Jesus saluda a los compadres", 
				64.1567254, 25.55245, "SFHGFDE3423S6SFEWD");
		Escena escena23 = new Escena(pelicula2, new Date(), null, "Jesus se pasea por la piscina", 
				61.1567254, 35.77245, "JFAS4353BVFD64WD");
		Escena escena24 = new Escena(pelicula2, new Date(), null, "Jesus vende la tv", 
				62.1567254, 75.734245, "HFAS43536SFD45dD");

		peliculaDAO.addPelicula(pelicula2);
		escenaDAO.addEscena(escena21);
		escenaDAO.addEscena(escena22);
		escenaDAO.addEscena(escena23);
		escenaDAO.addEscena(escena24);
		
		Pelicula pelicula3 = 
				new Pelicula(new Date(), null, "1981", "Dyplodocus Saurus", 
										"Dyplodocus Saurus", "Toni Lucas");
		Escena escena31 = new Escena(pelicula3, new Date(), null, "Persecucion de dinosaurios", 
				55.1567254, 65.15245, "3BVFD64NFASDFd36SFEWD");
		Escena escena32 = new Escena(pelicula3, new Date(), null, "Ataque de dinosaurios", 
				64.1567254, 25.55245, "5AS6SFEE3423S6435WD");
		
		peliculaDAO.addPelicula(pelicula3);
		escenaDAO.addEscena(escena31);
		escenaDAO.addEscena(escena32);
		
		
		Pelicula pelicula4 = 
				new Pelicula(new Date(), null, "1981", "Apocalipsis now", 
										"Apocalipsis ara", "Pau Lopez");
		Escena escena41 = new Escena(pelicula4, new Date(), null, "Apocalipsis en el bosque", 
				55.1567254, 65.15245, "6SFE4NFDFd36SFEWD");
		
		peliculaDAO.addPelicula(pelicula4);
		escenaDAO.addEscena(escena41);
		
		System.out.println("@@@@@@@@ Done @@@@@@@@");
		*/
	}

}
