package com.miqporta.cloc.clocWS.hello;

import java.util.Date;
import java.util.List;

import com.miqporta.cloc.clocWS.DAO.PeliculaDAO;
import com.miqporta.cloc.clocWS.model.Pelicula;

public class MainPeliculaExample {

	public static void main(String[] args) {
		
		System.out.println("@@@@@@@@ Maven + Hibernate + Mysql @@@@@@@@");
		
		PeliculaDAO peliculaDAO = new PeliculaDAO();
		Pelicula pelicula = new Pelicula();
		
		////////////////////////////////////////////////////////////////////////////////////////////////
		/*System.out.println("@@@@@@@@ PeliculaDAO example addPelicula @@@@@@@@");
		pelicula.setDataAlta(new Date());
		pelicula.setAnyo("2016");
		pelicula.setDirector("Rodi Dood");
		pelicula.setTituloESP("Juan va al monte45");
		pelicula.setTituloVO("Juan to the mount");
		
		peliculaDAO.addPelicula(pelicula);
			*/
		/////////////////////////////////////////////////////////////////////////////////////////////////
		System.out.println("@@@@@@@@ PeliculaDAO findByID example @@@@@@@@");
		pelicula = peliculaDAO.findById(2);
		System.out.println("######### Pelicula2:\n "
				+ "TituloVO: "+pelicula.getTituloVO()+ "\n "
				+ "TituloESP: "+pelicula.getTituloESP());		
		pelicula = peliculaDAO.findById(100);
		System.out.println("######### Pelicula100:\n "
				+ "TituloVO: "+pelicula.getTituloVO()+ "\n "
				+ "TituloESP: "+pelicula.getTituloESP());
		
		/////////////////////////////////////////////////////////////////////////////////////////////////
		System.out.println("@@@@@@@@ PeliculaDAO findByAll example @@@@@@@@");		
		List<Pelicula> peliculaList = peliculaDAO.findAll();
		int i=1;
		for(Pelicula peliculaAll : peliculaList ){
			 
			System.out.println("#########Pelicula"+peliculaAll.getPeliculaId()+":\n "
					+ "TituloVO: "+peliculaAll.getTituloVO()+ "\n "
					+ "TituloESP: "+peliculaAll.getTituloESP());
			i++;
		}		
		/////////////////////////////////////////////////////////////////////////////////////////////////
		System.out.println("@@@@@@@@ PeliculaDAO findByTitulo example @@@@@@@@");
		
		pelicula = peliculaDAO.findByTitulo("aND");
		System.out.println("######### PeliculaPorTitulo:\n "
				+ "TituloVO: "+pelicula.getTituloVO()+ "\n "
				+ "TituloESP: "+pelicula.getTituloESP());
		/////////////////////////////////////////////////////////////////////////////////////////////////
		
		System.out.println("@@@@@@@@ Done @@@@@@@@");
	}

}
